#ifndef ATR_H
#define ATR_H
#include <iostream>
#include <stdlib.h>
#include <QImage>
#include <opencv2/core/core.hpp>
#include <opencv2/highgui/highgui.hpp>
#include <opencv2/imgproc/imgproc.hpp>
#include <cv_bridge/cv_bridge.h>
#include <QObject>
#include <QThread>
#include <QStringListModel>
#include <QSettings>

class ATR : public QThread{
  Q_OBJECT

public:
  ATR();
  void runCommand();
  void getSolvedPic();

  cv::Mat SolvedImg;

Q_SIGNALS:
  void show_solvedImage(QImage solvedImage);
};

#endif // ATR_H
